Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.ginsim
Class MessageBundle

    java.lang.Object
      java.util.ResourceBundle
          java.util.ListResourceBundle
              biouml.plugins.ginsim.MessageBundle

public class MessageBundle
extends java.util.ListResourceBundle

Messages for GXL models.

Field Summary
`protected static MessageBundle` | `resources`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`MessageBundle()`

Method Summary
`protected static void` | `error(org.apache.log4j.Category log, java.lang.String messageBundleKey, java.lang.String[] params)`
`java.lang.Object[][]` | `getContents()`
`java.lang.String` | `getResourceString(java.lang.String key)` Returns string from the resource bundle for the specified key.
`protected static void` | `warn(org.apache.log4j.Category log, java.lang.String messageBundleKey, java.lang.String[] params)`

Methods inherited from class java.util.ListResourceBundle
`getKeys, handleGetObject`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resources

    protected static MessageBundle resources

Constructor Detail

### MessageBundle

    public MessageBundle()

Method Detail

### getResourceString

    public java.lang.String getResourceString(java.lang.String key)

  Returns string from the resource bundle for the specified key. If the sting is absent the key string is returned instead and the message is printed in `log4j.Category` for the component.

### warn

    protected static void warn(org.apache.log4j.Category log,
                               java.lang.String messageBundleKey,
                               java.lang.String[] params)

### error

    protected static void error(org.apache.log4j.Category log,
                                java.lang.String messageBundleKey,
                                java.lang.String[] params)

### getContents

    public java.lang.Object[][] getContents()

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.